Index: pacemaker/pengine/test10/bug-lf-2422.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2422.exp
+++ pacemaker/pengine/test10/bug-lf-2422.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="sbd_stonith_monitor_15000" on_node="qa-suse-2" on_node_uuid="qa-suse-2">
         <primitive id="sbd_stonith" class="stonith" type="external/sbd"/>
-        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="15000"  sbd_device="/dev/sda1"/>
+        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_on_node="qa-suse-2" CRM_meta_on_node_uuid="qa-suse-2" CRM_meta_start_delay="15000" CRM_meta_timeout="15000"  sbd_device="/dev/sda1"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="13" operation="stop" operation_key="o2cb:1_stop_0" internal_operation_key="o2cb:0_stop_0" on_node="qa-suse-1" on_node_uuid="qa-suse-1">
         <primitive id="o2cb" long-id="o2cb:1" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-1" CRM_meta_on_node_uuid="qa-suse-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -61,7 +61,7 @@
     <action_set>
       <rsc_op id="14" operation="stop" operation_key="cmirror:1_stop_0" internal_operation_key="cmirror:0_stop_0" on_node="qa-suse-1" on_node_uuid="qa-suse-1">
         <primitive id="cmirror" long-id="cmirror:1" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-1" CRM_meta_on_node_uuid="qa-suse-1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -107,7 +107,7 @@
     <action_set>
       <rsc_op id="23" operation="stop" operation_key="o2cb:0_stop_0" internal_operation_key="o2cb:1_stop_0" on_node="qa-suse-4" on_node_uuid="qa-suse-4">
         <primitive id="o2cb" long-id="o2cb:0" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-4" CRM_meta_on_node_uuid="qa-suse-4" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -123,7 +123,7 @@
     <action_set>
       <rsc_op id="24" operation="stop" operation_key="cmirror:0_stop_0" internal_operation_key="cmirror:1_stop_0" on_node="qa-suse-4" on_node_uuid="qa-suse-4">
         <primitive id="cmirror" long-id="cmirror:0" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-4" CRM_meta_on_node_uuid="qa-suse-4" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -169,7 +169,7 @@
     <action_set>
       <rsc_op id="33" operation="stop" operation_key="o2cb:2_stop_0" on_node="qa-suse-3" on_node_uuid="qa-suse-3">
         <primitive id="o2cb" long-id="o2cb:2" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-3" CRM_meta_on_node_uuid="qa-suse-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -185,7 +185,7 @@
     <action_set>
       <rsc_op id="34" operation="stop" operation_key="cmirror:2_stop_0" on_node="qa-suse-3" on_node_uuid="qa-suse-3">
         <primitive id="cmirror" long-id="cmirror:2" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-3" CRM_meta_on_node_uuid="qa-suse-3" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -231,7 +231,7 @@
     <action_set>
       <rsc_op id="43" operation="stop" operation_key="o2cb:3_stop_0" on_node="qa-suse-2" on_node_uuid="qa-suse-2">
         <primitive id="o2cb" long-id="o2cb:3" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-2" CRM_meta_on_node_uuid="qa-suse-2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -247,7 +247,7 @@
     <action_set>
       <rsc_op id="44" operation="stop" operation_key="cmirror:3_stop_0" on_node="qa-suse-2" on_node_uuid="qa-suse-2">
         <primitive id="cmirror" long-id="cmirror:3" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-2" CRM_meta_on_node_uuid="qa-suse-2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -296,7 +296,7 @@
     <action_set>
       <rsc_op id="53" operation="stop" operation_key="ocfs:1_stop_0" internal_operation_key="ocfs:0_stop_0" on_node="qa-suse-1" on_node_uuid="qa-suse-1">
         <primitive id="ocfs" long-id="ocfs:1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-1" CRM_meta_on_node_uuid="qa-suse-1" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -312,7 +312,7 @@
     <action_set>
       <rsc_op id="54" operation="stop" operation_key="ocfs:0_stop_0" internal_operation_key="ocfs:1_stop_0" on_node="qa-suse-4" on_node_uuid="qa-suse-4">
         <primitive id="ocfs" long-id="ocfs:0" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-4" CRM_meta_on_node_uuid="qa-suse-4" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -328,7 +328,7 @@
     <action_set>
       <rsc_op id="55" operation="stop" operation_key="ocfs:2_stop_0" on_node="qa-suse-3" on_node_uuid="qa-suse-3">
         <primitive id="ocfs" long-id="ocfs:2" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-3" CRM_meta_on_node_uuid="qa-suse-3" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -344,7 +344,7 @@
     <action_set>
       <rsc_op id="56" operation="stop" operation_key="ocfs:3_stop_0" on_node="qa-suse-2" on_node_uuid="qa-suse-2">
         <primitive id="ocfs" long-id="ocfs:3" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="qa-suse-2" CRM_meta_on_node_uuid="qa-suse-2" CRM_meta_timeout="60000"  device="/dev/sdb1" directory="/ocfs2" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-lf-2435.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2435.exp
+++ pacemaker/pengine/test10/bug-lf-2435.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="dummy2_start_0" on_node="c21.chepkov.lan" on_node_uuid="c21.chepkov.lan">
         <primitive id="dummy2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c21.chepkov.lan" CRM_meta_on_node_uuid="c21.chepkov.lan" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="dummy2_stop_0" on_node="c20.chepkov.lan" on_node_uuid="c20.chepkov.lan">
         <primitive id="dummy2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c20.chepkov.lan" CRM_meta_on_node_uuid="c20.chepkov.lan" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="dummy4_monitor_0" on_node="c21.chepkov.lan" on_node_uuid="c21.chepkov.lan">
         <primitive id="dummy4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c21.chepkov.lan" CRM_meta_on_node_uuid="c21.chepkov.lan" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="dummy4_monitor_0" on_node="c20.chepkov.lan" on_node_uuid="c20.chepkov.lan">
         <primitive id="dummy4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c20.chepkov.lan" CRM_meta_on_node_uuid="c20.chepkov.lan" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -46,7 +46,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="dummy4_monitor_0" on_node="c19.chepkov.lan" on_node_uuid="c19.chepkov.lan">
         <primitive id="dummy4" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c19.chepkov.lan" CRM_meta_on_node_uuid="c19.chepkov.lan" CRM_meta_op_target_rc="7" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -55,7 +55,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="dummy3_stop_0" on_node="c21.chepkov.lan" on_node_uuid="c21.chepkov.lan">
         <primitive id="dummy3" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="120000" />
+        <attributes CRM_meta_on_node="c21.chepkov.lan" CRM_meta_on_node_uuid="c21.chepkov.lan" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-lf-2445.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2445.exp
+++ pacemaker/pengine/test10/bug-lf-2445.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="P:1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="P:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="P:1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="P:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="2" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-lf-2453.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2453.exp
+++ pacemaker/pengine/test10/bug-lf-2453.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="PrimitiveResource1_stop_0" on_node="domu1" on_node_uuid="domu1">
         <primitive id="PrimitiveResource1" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.1.50"/>
+        <attributes CRM_meta_on_node="domu1" CRM_meta_on_node_uuid="domu1" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.1.50"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="apache:1_stop_0" internal_operation_key="apache:0_stop_0" on_node="domu1" on_node_uuid="domu1">
         <primitive id="apache" long-id="apache:1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" configfile="/etc/apache2/httpd.conf" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="domu1" CRM_meta_on_node_uuid="domu1" CRM_meta_timeout="20000" configfile="/etc/apache2/httpd.conf" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="10" operation="stop" operation_key="apache:0_stop_0" internal_operation_key="apache:1_stop_0" on_node="domu2" on_node_uuid="domu2">
         <primitive id="apache" long-id="apache:0" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" configfile="/etc/apache2/httpd.conf" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="domu2" CRM_meta_on_node_uuid="domu2" CRM_meta_timeout="20000" configfile="/etc/apache2/httpd.conf" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="15" operation="stop" operation_key="DummyResource:1_stop_0" internal_operation_key="DummyResource:0_stop_0" on_node="domu1" on_node_uuid="domu1">
         <primitive id="DummyResource" long-id="DummyResource:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  state="/var/run/DummyResource.log"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="domu1" CRM_meta_on_node_uuid="domu1" CRM_meta_timeout="20000"  state="/var/run/DummyResource.log"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -81,7 +81,7 @@
     <action_set>
       <rsc_op id="17" operation="stop" operation_key="DummyResource:0_stop_0" internal_operation_key="DummyResource:1_stop_0" on_node="domu2" on_node_uuid="domu2">
         <primitive id="DummyResource" long-id="DummyResource:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  state="/var/run/DummyResource.log"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="domu2" CRM_meta_on_node_uuid="domu2" CRM_meta_timeout="20000"  state="/var/run/DummyResource.log"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-lf-2474.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2474.exp
+++ pacemaker/pengine/test10/bug-lf-2474.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="dummy-10s-timeout_start_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="dummy-10s-timeout" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="10000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="3" operation="start" operation_key="dummy-default-timeout_start_0" on_node="hex-14" on_node_uuid="hex-14">
         <primitive id="dummy-default-timeout" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="15000" />
+        <attributes CRM_meta_on_node="hex-14" CRM_meta_on_node_uuid="hex-14" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs/>
